Download it now!
Bug 63130 - FILESAVE Libreoffice has stopped working when saving or working with large Visio 2003 Drawing
Summary: FILESAVE Libreoffice has stopped working when saving or working with large Vi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:visio
Depends on:
Blocks: MSO-XML2003 Visio
  Show dependency treegraph
 
Reported: 2013-04-04 16:37 UTC by Jeff L.
Modified: 2019-08-27 10:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
dump file (156.81 KB, text/plain)
2013-04-04 16:42 UTC, Jeff L.
Details
attachment-23495-0.html (2.46 KB, text/html)
2013-08-26 16:14 UTC, Jeff L.
Details
attachment-23495-1.dat (1 bytes, multipart/alternative)
2013-08-26 16:14 UTC, Jeff L.
Details
Example Campus Design.zip (2.61 MB, application/x-zip-compressed)
2013-08-26 16:14 UTC, Jeff L.
Details
console + bt with symbols on master sources (3.59 KB, application/x-bzip)
2013-08-26 17:07 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff L. 2013-04-04 16:37:56 UTC
Windows 7 Professional SP1 64bit
Thinkpad T410
i7 Quad Core
4GB Ram

I opend a Large 3.08MB Visio 2003 drawing (Network Design). File opens fine but when trying to navigate around the document I get "Not Responding" and then "Libraoffice has stopped working" error. 
Reopened the LibraOffice and sucessfuly restored the document, try to save the file and Draw hangs and crshes. Is repeatable.

Attachments:
Windows Crash files
Comment 1 Jeff L. 2013-04-04 16:42:57 UTC
Created attachment 77436 [details]
dump file

windows Dump file .mdmp (3MB) available if needed
Comment 2 Julien Nabet 2013-04-05 21:50:38 UTC
Is it possible you attach the Visio file so we can try to reproduce this?
Comment 3 Jeff L. 2013-05-22 18:58:59 UTC
Sorry this has taken me so long to get back to you. 

Unfortunately I can not share this drawing, as the drawing is company proprietary. I can describe it as a large D size drawing of a large datacenter network with close to 100 network switches, of varying types from standalone rack mounted switches with as many as 40 ports to large chassis based switches with their network ports numbering in the 100’s.
There were about 100 individual lines depicting the connectivity between the switches (not a port to port depiction, but switch to switch). I will try to find a similar drawing if I can and see If I can recreate the issue by adding more models into the drawing and increasing it’s size and complexity

Regards,

Jeff



From: bugzilla-daemon@freedesktop.org 
Sent: Friday, April 05, 2013 5:50 PM
To: js_laurenza@hotmail.com 
Subject: [Bug 63130] FILESAVE Libreoffice has stopped working when saving or working with large Visio 2003 Drawing

Julien Nabet changed bug 63130 
      What Removed Added 
      Status UNCONFIRMED  NEEDINFO  
      CC    serval2412@yahoo.fr  
      Ever confirmed    1  


Comment # 2 on bug 63130 from Julien Nabet 
Is it possible you attach the Visio file so we can try to reproduce this?
--------------------------------------------------------------------------------
You are receiving this mail because: 
  a.. You reported the bug.
Comment 4 Julien Nabet 2013-05-22 20:54:48 UTC
Jeff: since you can't attach the file, I can just advise you to try to retrieve a backtrace by following this link:
https://wiki.documentfoundation.org/BugReport#How_to_get_a_backtrace_on_Windows
Comment 5 Julien Nabet 2013-08-24 06:14:33 UTC
Jeff: any file you may attach so we can try to reproduce the problem?
Comment 6 Jeff L. 2013-08-26 16:14:06 UTC
Created attachment 84662 [details]
attachment-23495-0.html

Try this file. It’s slightly different than the original file I was using but it still crashed when simply scrolling up and down. This file however did not crash when trying to save it like the other file did. The files are similar in size but the other file was roughly one third larger.
I’m currently using Libre Office version - 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)



From: bugzilla-daemon@freedesktop.org 
Sent: Saturday, August 24, 2013 2:14 AM
To: js_laurenza@hotmail.com 
Subject: [Bug 63130] FILESAVE Libreoffice has stopped working when saving or working with large Visio 2003 Drawing


Comment # 5 on bug 63130 from Julien Nabet 
Jeff: any file you may attach so we can try to reproduce the problem?
--------------------------------------------------------------------------------
You are receiving this mail because: 
  a.. You reported the bug.
Comment 7 Jeff L. 2013-08-26 16:14:06 UTC
Created attachment 84663 [details]
attachment-23495-1.dat
Comment 8 Jeff L. 2013-08-26 16:14:06 UTC
Created attachment 84664 [details]
Example Campus Design.zip
Comment 9 Julien Nabet 2013-08-26 17:07:09 UTC
Created attachment 84665 [details]
console + bt with symbols on master sources

On pc Debian x86-64 with master sources updated today, I didn't reproduce crash but it's quite slow.
I attached console logs + 3 bts.

Jeff: please don't answer from your emailer but from:
- https://bugs.freedesktop.org/show_bug.cgi?id=63130#add_comment if you just want to add a comment
- https://bugs.freedesktop.org/attachment.cgi?bugid=63130&action=enter if you want to attach a file + let a comment
Comment 10 Julien Nabet 2013-08-26 17:08:21 UTC
Fridrich: I put you in cc since it's about Visio. (now bts show EMF parts)
Comment 11 Winfried Donkers (retired) 2013-12-11 12:26:42 UTC
I confirm the behaviour with attachment 84664 [details], Windows 7 pro SP1 32 bit, MS Visio 2007 and LibreOffice Writer, bith with version 4.1.3.2 and 4.2.0.0beta2.

Used method:
-open visio drawing with Visio
-opened existing Writer document
-in visio, selected all with Ctrl-A and copied to clipboard with Ctrl-C
-in writer:
 4.2.0 : paste nor past-special were available (object too large?)
 4.1.3 : paste special with Shift-Ctrl-V and selected visio object. Object seemed to be pasted, but after minutes of busy machine, Writer crashed. The repair-dialog appeared, but could not succeed in succesfully repairing (it did report so) and opening the document. Only way out was to cancel repair.

Copy/paste special of parts of the Visio drawing (50% or less) does work, though.

Visio, LibreOffice 4.1.3 and 4.2.0 were all open simultaneously.

Hardware information:
2GB RAM, pentium processor, Windows performance index 3.3
Comment 12 QA Administrators 2015-04-19 03:22:23 UTC Comment hidden (obsolete)
Comment 13 Winfried Donkers (retired) 2015-04-20 05:52:32 UTC
I confirm the behaviour with attachment 84664 [details], Windows 7 pro 64 bit, MS Visio 2007 and LibreOffice Writer version 4.4.2.2

Used method:
-open visio drawing from attachment 84664 [details] with Visio
-open existing Writer document
-in visio, select all with Ctrl-A and copied to clipboard with Ctrl-C
-in writer:
 paste shows an hourglass for some seconds, but nothing else happens (nothing is pasted, the document can be used and has not changed).
 paste special (Shift-Ctrl-V and selected visio object) produces the same result, possibly the hourglass shows a bit longer, but did not time.

There is improvement when comparing with version 4.2, but a message that the object is too large (if that should be the case) would be expected.

Copy/paste of parts of the Visio drawing (50% or less) does work, though.
Comment 14 Jeff L. 2015-10-29 17:41:07 UTC
Tried the Drawing file in LibreOffice v4.2.8.2 and this problem doesnt happen. However I'm using Linux RHEL 6.7 whereas I had been using Windows 7 when I initially reported this bug.

As I no longer have a Windows system I am unable to verify that the issue is completely fixed but I am satisfied with the performance of the application on RHEL on my new Lenovo W540 - Core i7 vPro, w/32GB of RAM.

Bug can be closed based on your confidence  of it being fixed. Thanks For the Work you all do!!
Comment 15 Julien Nabet 2015-10-29 17:44:56 UTC
Version field correspond to the earliest known LO version which contains the bug.

Now the problem is Winfried tested a more recent version and reproduced this.
So either there's a regression or I missed the point.

Winfried: any thoughts?
Comment 16 Winfried Donkers (retired) 2015-10-30 07:06:02 UTC
(In reply to Julien Nabet from comment #15)
> Winfried: any thoughts?

I tested again with attachment 84664 [details], Windows 7 pro SP1 32 bit, MS Visio 2007 and LibreOffice Writer, version 4.4.5.2.

Used method:
-open visio drawing with Visio
-opened existing Writer document
-in visio, selected all with Ctrl-A and copied to clipboard with Ctrl-C
-in writer:
 -paste shows an hourglass for some seconds, but nothing happens, nothing is pasted
 -past special shows dialog from I choose 'Microsoft Visio drawing'; further as with paste

Selecting smaller chunks from the Visio drawing (approx 40% and 60%) worked fine with copy/paste as well as with paste special.

Setting status back to NEW and OS to Windows as this is specific for Windows; there is no Microsoft Visio for Linux AFAIK.
Comment 17 QA Administrators 2016-11-08 12:02:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108